%define version 0.0.14
%define release %mkrel 1

%define libggz_version %{version}
%define ggz_client_libs_version %{version}

Name:		ggz-utils
Summary:	GGZ Utilities
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Other
URL:		http://www.ggzgamingzone.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	http://ftp.ggzgamingzone.org/pub/ggz/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:	libggz-devel = %{libggz_version}
BuildRequires:	ggz-client-libs-devel = %{ggz_client_libs_version}
Requires:	libggz = %{libggz_version}
Requires:	ggz-client-libs = %{ggz_client_libs_version}

%description
This package contains some assorted utilities which don't fit into
another GGZ Gaming Zone packages:

- Cmd-Client:
  Utily to broadcast messages across all rooms at a GGZ server.
- Metaserv:
  The first prototype of a GGZ meta server. It is completely XML-based
  but understands URI queries as well.
- ggzcommgen:
  A GGZ Communication Library source file generator.
- TelGGZ:
  A Telnet wrapper for GGZ. Using telggz you can chat from
  everywhere in the world, provided you get a telnet terminal.

%prep
%setup -q

%build
%configure2_5x --bindir=%{_gamesbindir} --with-libggz-libraries=%{_libdir} --with-ggzcore-libraries=%{_libdir}
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_gamesbindir}/*
%{_mandir}/man1/*
%{_datadir}/ggzmetaserv


%changelog
* Sun Feb 11 2007 Emmanuel Andry <eandry@mandriva.org> 0.0.14-1mdv2007.0
+ Revision: 118826
- New version 0.0.14
- Import ggz-utils



* Sat Sep 02 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.13-2mdv2007.0
- fix x86_64 build

* Sun May 21 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.13-1mdk
- New version
- mkrel

* Tue Dec 21 2004 Abel Cheung <deaddog@mandrake.org> 0.0.9-1mdk
- New version
- Remove outdated patch
- motd editor is removed

* Sat Sep  6 2003 Abel Cheung <deaddog@deaddog.org> 0.0.7-1mdk
- 0.0.7
- Patch0: fix metaserver info to use existing working servers
- Use glob for file list
- Various spec cleanups
- Add menu entry for motd_editor

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-3mdk
- buildrequires

* Fri Mar 14 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-2mdk 
- from andi payn <payn@myrealbox.com> :
	- complete the Mandrakization process

* Fri Jan 19 2003 Andi Payn <payn@myrealbox.net>
- Initial specification file
